Subject: Ticket Assigned - Feedback or suggestions
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sat, 02 Jul 2022 16:23:51 +0000

Hi Sohaib Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions Centrepoint - Dalma Mall - Abu Dhabi 
Circa 11:45 am - July 2 - 2022

What an absolutely horrible experience.

I was happy with my selection of two shirts which I felt were good quality and good value as well a pair of shorts to which I felt similarly.

I went to pay for the goods and I was asked did I want to try the perfume at the cash register, to which I replied, politely, no. To which I was then further asked again if I would like to try, because it was on sale, to which I again said, no thanks. Then, a third time I was asked to try and not to buy, that I did not have to buy the item to smell, already frustrated, I clearly said no once again.

I still wanted to continue with the sale even at that point and then it came to giving my phone number. I gave my phone number, however, there was a problem with me receiving the text, so I asked is it really necessary to give my phone number? Which it is NOT To which the lady then angrily turned/swiped the card machine reader towards me.

At that point I contemplated the whole situation and decided to walk away. To which the very nice lady sarcasm laughed as I walked away. As an Irish man living in Dubai and the UAE for a number of years now, I have never had such an unpleasant experience to which it has made me upset. As someone who struggles with social anxiety, what an extremely unpleasant and upsetting experience to which has caused me quite considerable distress.

Needless to say, that was the last time I will be visiting Centrepoint in Dalma Mall, and Dalma Mall / Centrepoint, period for that matter. Shout out to the woman who made all of this possible at circa 11:45am on Saturday 2nd July, with medium length brown/dirty blonde hair, I hope she had a great rest of her day because she just ruined mine. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4570024